Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.log
Interface ILogger

All Known Implementing Classes:
  JooneLogger, Log4JLogger

    public interface ILogger

Interface that defines the public methods of the logger object. To be fully compatible with apache Log4j, its interface derivates from the org.apache.log4j.Category class.

Author:
  P.Marrone

Method Summary
`void` | `debug(java.lang.Object obj)`
`void` | `debug(java.lang.Object obj, java.lang.Throwable thr)`
`void` | `error(java.lang.Object obj)`
`void` | `error(java.lang.Object obj, java.lang.Throwable thr)`
`void` | `fatal(java.lang.Object obj)`
`void` | `fatal(java.lang.Object obj, java.lang.Throwable thr)`
`void` | `info(java.lang.Object obj)`
`void` | `info(java.lang.Object obj, java.lang.Throwable thr)`
`void` | `setParentClass(java.lang.Class cls)`
`void` | `warn(java.lang.Object obj)`
`void` | `warn(java.lang.Object obj, java.lang.Throwable thr)`

Method Detail

### setParentClass

    void setParentClass(java.lang.Class cls)

### debug

    void debug(java.lang.Object obj)

### debug

    void debug(java.lang.Object obj,
               java.lang.Throwable thr)

### error

    void error(java.lang.Object obj)

### error

    void error(java.lang.Object obj,
               java.lang.Throwable thr)

### fatal

    void fatal(java.lang.Object obj)

### fatal

    void fatal(java.lang.Object obj,
               java.lang.Throwable thr)

### info

    void info(java.lang.Object obj)

### info

    void info(java.lang.Object obj,
              java.lang.Throwable thr)

### warn

    void warn(java.lang.Object obj)

### warn

    void warn(java.lang.Object obj,
              java.lang.Throwable thr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net